Name:           maven-plugin-build-helper
Version:        1.9.1
Release:        %mkrel 5
Summary:        Build Helper Maven Plugin
Group:          Development/Java
License:        MIT and ASL 2.0
URL:            http://mojo.codehaus.org/build-helper-maven-plugin/
BuildArch: noarch

# The source tarball has been generated from upstream VCS:
# svn export https://svn.codehaus.org/mojo/tags/build-helper-maven-plugin-%{version} %{name}-%{version}
# tar caf %{name}-%{version}.tar.xz %{name}-%{version}
Source0:        %{name}-%{version}.tar.xz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.beanshell:bsh)
BuildRequires:  mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)


%description
This plugin contains various small independent goals to assist with
Maven build lifecycle.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q 
cp %{SOURCE1} LICENSE-2.0.txt
%pom_add_dep org.apache.maven:maven-compat

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc header.txt LICENSE-2.0.txt
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc header.txt LICENSE-2.0.txt



%changelog
* Mon May 15 2017 neoclust <neoclust> 1.9.1-5.mga6
+ Revision: 1101425
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.9.1-3.mga6
+ Revision: 977321
- First rebuild of the java stack
- sync package maven-plugin-build-helper with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Jan 19 2015 pterjan <pterjan> 1.9.1-1.mga5
+ Revision: 811411
- Patch to fix build
- Sync with Fedora 21 (Update to 1.9)

* Wed Oct 15 2014 umeabot <umeabot> 1.8-5.mga5
+ Revision: 740586
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.8-3.mga4
+ Revision: 535134
- Mageia 4 Mass Rebuild

  + dmorgan <dmorgan>
    - Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 1.8-1.mga4
+ Revision: 481183
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.5-6.mga3
+ Revision: 359706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 1.5-5.mga3
+ Revision: 267877
- Adapt to guidelines

* Thu Apr 28 2011 dmorgan <dmorgan> 1.5-4.mga1
+ Revision: 92712
- Rebuild after bootstrapping
- imported package maven-plugin-build-helper


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 28 2010 Alexander Kurtakov <akurtako@redhat.com> 1.5-2
- Maven plugins should require parent poms because they are totally unusable without them.

* Thu Sep 16 2010 Alexander Kurtakov <akurtako@redhat.com> 1.5-1
- Update to 1.5.
- Use newer maven packages' names.

* Thu Sep 10 2009 Alexander Kurtakov <akurtako@gmail.com> 1.4-1
- Initial package.
